<?
error_reporting(E_ALL^E_NOTICE);
?>
<?
if(isset($_GET['sell_all']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]'"),0)!=0)
{
if(isset($_GET[fish])){$fish=1;$base="fish";}else{$fish=0;$base="plant";}
$q=mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `fish`='$fish'");
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_$base` WHERE `id` = '$post[id_plant]'"));
$m=floor(($plant['money']/$plant['count'])*$post['count']);
$cm=$cm+$m;
}
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$cm)."' WHERE `id` = '$ku[id]'");
mysql_query("DELETE FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `fish`='$fish'");
mysql_query("UPDATE `kolhoz_user` SET `umoney` = '$cm' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($cm/100)*$mc['nalog']);
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$cm-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nmoney', `type` = 'money', `time` = '$time'");
mysql_query("UPDATE `kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
}
header("Location:?warehouse&".passgen());
exit;
}
$ant=mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['sell'])."'"), 0);
if(isset($_GET['sell']) && intval($_GET['sell'])!=NULL && $ant!==0)
{
$pw=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['sell'])."'"));
if(isset($_GET[fish])){$fish=1;$base="fish";}else{$fish=0;$base="plant";}
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_$base` WHERE `id` = '$pw[id_plant]'"));
if($plant[count]==0){$plant[count]=1;}
$m=floor(($plant['money']/$plant['count'])*$pw['count']);
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$m)."' WHERE `id` = '$ku[id]'");
mysql_query("DELETE FROM `kolhoz_warehouse` WHERE `id` = '$pw[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney` = '$m' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($m/100)*$mc['nalog']);
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$m-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nmoney', `type` = 'money', `time` = '$time'");
mysql_query("UPDATE `kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
}
header("Location:?warehouse&".passgen());
exit;
}
echo "<div class='input_button'><center>Овощи</center></div>";
echo "<div class='block'>";
echo '<div class="div_hr2"></div>';
echo "<div class='content'>";
$q=mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `arena` = '0' AND `fish` = '0'");
if(mysql_num_rows($q)==0)echo "<div style='padding:4px'><li>Пусто...</li></div>";
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$post[id_plant]'"));
$m=floor(($plant['money']/$plant['count'])*$post['count']);
echo '<div class="div_hr2"></div>';
echo "<div class='content'>";
echo "<li><div><img width='16' height='16' src='images/icons/tomato.png' alt='o'><span class='title'>".hsc($plant['name'])."</span> (<span>$post[count]</span>): <a href='?warehouse&tachka=$post[id]'>В тачку</a>,<a href='?warehouse&sell=$post[id]'>Продать</a> за <img width='16' height='16' src='images/icons/money.png' alt='o'><span>$m</span>
</div></li>";
$cm=$cm+$m;
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]'"),0)!=0)echo "<li><img alt='*' width='16' height='16' src='images/icons/money.png'> <a href='?warehouse&sell_all'>Продать всё</a> за <img width='16' height='16' src='images/icons/money.png' alt='o'><span>$cm</span></li>";
echo "</ul></div>";

echo "<div class='input_button'><center>Рыбы</center></div>";
echo "<div class='block'>";
echo '<div class="div_hr2"></div>';
echo "<div class='content'>";
$q=mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `arena` = '0' AND `fish` = '1'");
if(mysql_num_rows($q)==0){echo "<div style='padding:4px'><li>Пусто...</li></div>";}else{
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"));
$m=floor(($plant['money']/$plant['count'])*$post['count']);
echo "<li><img width='16' height='16' src='/images/icons/fish.png' alt='o'><span class='title'>".hsc($plant['name'])."</span> (<span>$post[count]</span> кг): <a href='?warehouse&sell=$post[id]&fish'>Продать</a> за <img width='16' height='16' src='images/icons/money.png' alt='o'><span>$m</span>
</li>";
$cm=$cm+$m;
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `fish` = '1' "),0)!=0)echo "<li><img alt='*' width='16' height='16' src='images/icons/money.png'> <a href='?warehouse&sell_all&fish'>Продать всё</a> за <img width='16' height='16' src='images/icons/money.png' alt='o'><span>$cm</span></li>";
echo "</ul>";
}
if(isset($_GET['selll_all']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_market` WHERE `id_user` = '$ku[id]'"),0)!=0)
{
$q=mysql_query("SELECT * FROM `kolhoz_market` WHERE `id_user` = '$ku[id]'");
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$post[id_plant2]'"));
$m=floor(($plant2['rubies']/$plant2['count'])*$post['count']);
$cm=$cm+$m;
}
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$cm)."' WHERE `id` = '$ku[id]'");
mysql_query("DELETE FROM `kolhoz_market` WHERE `id_user` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney2` = '$cm' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog2']>0)
{
$nrubies=floor(($cm/100)*$mc['nalog2']);
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$cm-$nrubies)."' WHERE `id` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nrubies', `type` = 'rubies', `time` = '$time'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']+$nrubies)."' WHERE `id` = '$mc[id]'");
}
header("Location:?warehouse&".passgen());
exit;
}
if(isset($_GET['selll']) && intval($_GET['selll'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_market` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['selll'])."'"),0)!=0)
{
$pw=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_market` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['selll'])."'"),0);
$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$pw[id_plant2]'"));
$m=floor(($plant2['rubies']/$plant2['count'])*$pw['count']);
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$m)."' WHERE `id` = '$ku[id]'");
mysql_query("DELETE FROM `kolhoz_market` WHERE `id` = '$pw[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney2` = '$m' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog2']>0)
{
$nrubies=floor(($m/100)*$mc['nalog2']);
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$m-$nrubies)."' WHERE `id` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nrubies', `type` = 'rubies', `time` = '$time'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']+$nrubies)."' WHERE `id` = '$mc[id]'");
}
header("Location:?warehouse&".passgen());
exit;
}
echo '<div class="div_hr2"></div>';
echo "<div style='padding:3px'><li><img width='16' height='16' src='images/icons/tomato.png' alt='*'> <a href='?buy_plant'>Купить овощи</a></div></div>";
echo '</div></div></div>';
echo "</ul></div></div></div></div></div>";
include_once 'inc/foot.php';
?>